#!/usr/bin/perl
#
# See also: rv-routing-tools/Log, OSPF Routing for LXCs/OpenVZ's.
#

use strict;
use warnings;

print "GUEST HOOK: " . join(' ', @ARGV). "\n";
my $vmid = shift;
my $phase = shift;
my $return;

my $s = `egrep 'net0:.*vmbr42' /etc/pve/lxc/$vmid.conf`;
my ($ip) = ($s =~ /ip=([^,]+),/);

if ($phase eq 'pre-start') {
  print "$vmid is starting, doing preparations.\n";
  $return=qx{ip route add $ip dev vmbr42};
} elsif ($phase eq 'post-start') {
  print "$vmid started successfully.\n";
} elsif ($phase eq 'pre-stop') {
  print "$vmid will be stopped.\n";
} elsif ($phase eq 'post-stop') {
  print "$vmid stopped. Doing cleanup.\n";
  $return=qx{ip route del $ip dev vmbr42};
} else {
    die "got unknown phase '$phase'\n";
  }

exit(0);
